{{ $s3Bucket     := requiredEnv "HELM_S3_BUCKET" -}}
{{ $s3BucketHost := env "HELM_S3_BUCKET_HOST" | default "s3.amazonaws.com" }}
{{ $ourUrl       := env "HELM_S3_URL"         | default (printf "https://%s.%s/charts" $s3Bucket $s3BucketHost) }}
{{ $groupId      := requiredEnv "GROUP_ID" }}
{{ $clusterName  := requiredEnv "CLUSTER_NAME" }}
{{ $name         := "google-drive-stale-data" }}
{{ $image        := (readFile (printf "./values/%s-image.yaml" $name) | fromYaml) }}
{{ $jdbcEnvName  := requiredEnv "JDBC_SECRET_NAME" }}
{{ $chart        := (readFile "./values/openraven-java-spring-version.yaml" | fromYaml) }}
{{ $acmCertArn   := env "ACM_CERT_ARN" }}
{{ $ingHostname     := requiredEnv "OPENRAVEN_INGRESS_HOSTNAME" }}
{{ $awsAccountId := regexReplaceAll "arn:aws:acm:[^:]+:([0-9]+):certificate.*" $acmCertArn "$1" }}

repositories:
- name: openraven
  url: {{ $ourUrl }}

releases:
- name: {{ $name }}
  namespace: aws
  createNamespace: true
  chart: openraven/openraven-java-spring
  version: {{ $chart.version }}
  wait: false
  installed: true
  values:
  - kiamRole: cross-account
    kiamAccountId: {{ $awsAccountId | quote }}
  - image:
      repository: 160390125595.dkr.ecr.us-west-2.amazonaws.com/openraven/openraven/gdrive-stale-data
      tag: {{ $image.tag | quote }}
  - ./values/database-schema-version.yaml
  - spring:
      profilesActive: default,prod
      datasource:
        hikari:
          maximumPoolSize: 6
          minimumIdle: 0
    replicaCount: 1
    openraven:
      clusterName: {{ $clusterName }}
      groupId: {{ $groupId }}
    sentry:
      enabled: {{ (tpl (readFile "./values/sentryEnabled.gotmpl") (dict "clusterName" $clusterName "s3Bucket" $s3Bucket) ) }}
      dsn: "https://0e70a976b2e9fbfddf5bdf944411ebe1@o322024.ingest.sentry.io/4505879479779328"
    service:
      enabled: true
    ingress:
      enabled: true
      hosts:
      - host: {{ $ingHostname }}
        paths:
          - path: "/google-drive/stale-data"
    autoscaling:
      enabled: true
      minReplicas: 1
      maxReplicas: 6
      triggers:
      - metadata:
          allowIdleConsumers: 'true'
          bootstrapServers: kafka.kafka.svc.cluster.local:9092
          consumerGroup: GDRIVE-STALE-DATA-APP
          lagThreshold: '5000'
          topic: google-drive-stale-data-analysis
        type: kafka
      - metadata:
          allowIdleConsumers: 'true'
          bootstrapServers: kafka.kafka.svc.cluster.local:9092
          consumerGroup: GDRIVE-STALE-DATA-APP
          lagThreshold: '5000'
          topic: google-drive-stale-activity
        type: kafka
    startupProbe:
      httpGet:
        path: /actuator/health
        port: management
      failureThreshold: 10
      periodSeconds: 15
    envFrom:
    - secretRef:
        name: {{ $jdbcEnvName }}
  - {{ .Values | toJson }}
